/*----------------------------------------------------------------------- 
 * 
 * File Name: FinalizeSearch.h
 *
 * Author: Brown, D. A.
 * 
 * Revision: $Id: FinalizeSearch.h,v 1.3 2001/08/30 20:56:17 duncan Exp $
 * 
 *-----------------------------------------------------------------------
 */

#if 0
<lalVerbatim file="FinalizeSearchHV">
Author: Brown, D. A.
$Id: FinalizeSearch.h,v 1.3 2001/08/30 20:56:17 duncan Exp $
</lalVerbatim> 

<lalLaTeX>

\section{Header \texttt{FinalizeSearch.h}}
\label{inspiral:FinalizeSearch.h}

Provides error codes for the shared object {\tt FinalizeSearch()} function.

</lalLaTeX>
#endif

#ifndef _FINALIZESEARCH_H
#define _FINALIZESEARCH_H

#include "Inspiral.h"

#ifdef  __cplusplus
extern "C" {
#endif


NRCSID (FINALIZESEARCHH, "$Id: FinalizeSearch.h,v 1.3 2001/08/30 20:56:17 duncan Exp $");

#if 0
<lalLaTeX> 
\subsection*{Error codes} 
</lalLaTeX>
#endif
/* <lalErrTable> */
#define FINALIZESEARCH_ENULL 1
#define FINALIZESEARCH_ENNUL 2
#define FINALIZESEARCH_EALOC 4
#define FINALIZESEARCH_EARGS 8
#define FINALIZESEARCH_ENUMZ 16
#define FINALIZESEARCH_MSGENULL "Null pointer"
#define FINALIZESEARCH_MSGENNUL "Non-null pointer"
#define FINALIZESEARCH_MSGEALOC "Memory allocation error"
#define FINALIZESEARCH_MSGEARGS "Wrong number of arguments"
#define FINALIZESEARCH_MSGENUMZ "Number of data segments is zero"
/* </lalErrTable> */

#ifdef  __cplusplus
}
#endif

#if 0
<lalLaTeX>
\vfill{\footnotesize\input{ApplySearchHV}}
</lalLaTeX> 
#endif

#endif /* _FINALIZESEARCH_H */
